Summary:        Power Management Service
Name:           upower
Version: 1.90.2
Release: 2%{?dist}
License:        GPLv2+
URL:            http://upower.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/upower/upower/-/archive/v%{version}/upower-v%{version}.tar.gz

BuildRequires:  make sqlite-devel meson libtool gettext libgudev-devel automake docbook-style-xsl libxslt
BuildRequires:  glib2-devel gobject-introspection-devel systemd autoconf gettext-devel

Requires:       udev gobject-introspection

%description
UPower (formerly DeviceKit-power) provides a daemon, API and command line tools for managing power devices attached to the system.

%package devel
Summary: Headers and libraries for UPower
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for UPower.

%prep
%autosetup -n %{name}-v%{version}

%build
%meson \
    -Dgtk-doc=false \
    -Didevice=disabled \
    -Dintrospection=enabled

%meson_build

%install
%meson_install


%find_lang upower


%post
%systemd_post upower.service

%preun
%systemd_preun upower.service

%postun
%systemd_postun_with_restart upower.service

%files -f upower.lang
%license COPYING
%doc NEWS AUTHORS HACKING README
%{_libdir}/libupower-glib.so.*
%{_datadir}/dbus-1/system.d/*.conf
%{_udevrulesdir}/*.rules
%{_udevhwdbdir}/95-upower-hid.hwdb
%ghost %dir %{_localstatedir}/lib/upower
%dir %{_sysconfdir}/UPower
%config %{_sysconfdir}/UPower/UPower.conf
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/installed-tests/upower/upower-integration.test
%{_unitdir}/*.service
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%files devel
%{_datadir}/dbus-1/interfaces/*.xml
%{_libdir}/libupower-glib.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%dir %{_includedir}/libupower-glib
%{_includedir}/libupower-glib/up-*.h
%{_includedir}/libupower-glib/upower.h

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.90.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 cunshunxia <cunshunxia@tencent.com> - 1.90.2-1
- upgrade to 1.90.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.99.20-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.99.20-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 cunshunxia <cunshunxia@tencent.com> - 0.99.20-2
- upgrade to 0.99.20

* Mon Dec 5 2022 Shuo Wang <abushwang@tencent.com> - 0.99.13-1
- initial build
